Loading...
Searching...
No Matches
dynmatrix.hh File Reference
Common » Dense Matrix and Vector Template Library

This file implements a dense matrix with dynamic numbers of rows and columns. More...

`#include <cmath>`
`#include <cstddef>`
`#include <iostream>`
`#include <initializer_list>`
`#include <dune/common/boundschecking.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/dynvector.hh>`
`#include <dune/common/densematrix.hh>`
`#include <dune/common/typetraits.hh>`

Go to the source code of this file.

## Classes

struct | Dune::DenseMatVecTraits< DynamicMatrix< K > >
struct | Dune::FieldTraits< DynamicMatrix< K > >
class | Dune::DynamicMatrix< K >
| Construct a matrix with a dynamic size. More...

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

This file implements a dense matrix with dynamic numbers of rows and columns.